[package]
name = "supermetal_assignment"
version = "0.1.0"
edition = "2024"

[dependencies]
arrow = "55"
derive_more = { version = "2", features = ["deref", "deref_mut"] }
futures = "0.3"
mysql_async = { version = "0.36", features = ["chrono"] }
mysql_common = "0.35"
parquet = { version = "55", features = ["async"] }
rayon = "1"
testcontainers-modules = { version = "0.12", features = ["mysql"] }
time-test = "0.3"
tokio = { version = "1", features = ["macros", "rt-multi-thread"] }
